#!/bin/sh
#
# dump environment variables to a file
#
# this script is intended to be run by the gitlab runner, to dump all gitlab
# variables to the secrets file

# the user can optionally specify the output file
OUTPUT_FILE="${1:-.env}"

# delete the old file if it exists, and create one with secure permissions
rm -f "${OUTPUT_FILE}"

# rwx only for user
umask 077
touch "${OUTPUT_FILE}"

# dump each exported variable
while read -r var; do
    echo $var >> "${OUTPUT_FILE}"
done <<- EOF
    $(env | grep -E "^POSTGRES_.*|^KC_.*|^BACKUP_.*")
EOF
