#!/bin/sh
#
# Exports realms from a running keycloak instance
# 
# The script dumps a keycloak migration file (in JSON format). The file will contain
# all the realms with their users and other settings. It is essentially all the
# database dump. The current strategy is to export all realms into a single file.
# NOTE: The instance must be running.

# user can optionally specify the output file
OUTPUT_FILE="${1:-crdm-realms.json}"

# check if container is running
if [ -z `docker compose ps -q keycloak` ] || [ -z `docker ps -q --no-trunc | grep $(docker compose ps -q keycloak)` ]; then
    echo >&2 "ERROR: Container is not running."
    exit 1
fi

docker compose exec keycloak /opt/keycloak/bin/kc.sh export \
    --file /tmp/"${OUTPUT_FILE}" \
    --users realm_file
