#!/bin/sh
#
# Imports realms into a running keycloak instance
# 
# The script reads a keycloak migration file (in JSON format) and imports it 
# into the keycloak instance. The current strategy is to not overwrite already
# existing realms.
# NOTE: The instance must be running.

# user can optionally specify the input file
INPUT_FILE="${1:-crdm-realms.json}"

# check if container is running
if [ -z `docker compose ps -q keycloak` ] || [ -z `docker ps -q --no-trunc | grep $(docker compose ps -q keycloak)` ]; then
    echo >&2 "ERROR: Container is not running."
    exit 1
fi

docker compose exec keycloak /opt/keycloak/bin/kc.sh import \
    --file /tmp/"${INPUT_FILE}" \
    --override false
